-- name: [PET] Mario Party Plush Pals
-- description: Crane Machine Crew

if not _G.wpets then return end

local E_MODEL_PDONKEY = smlua_model_util_get_id('pdonk_geo')
local E_MODEL_PYOSHI = smlua_model_util_get_id('pyoshi_geo')
local E_MODEL_PMARIO = smlua_model_util_get_id('pmario_geo')
local E_MODEL_PLUIGI = smlua_model_util_get_id('pluigi_geo')
local E_MODEL_PPEACH = smlua_model_util_get_id('ppeach_geo')
local E_MODEL_PWARIO = smlua_model_util_get_id('pwario_geo')

local ID_PDONKEY = _G.wpets.add_pet({
	name = "Plush Donkey Kong", credit = "Garrulous64",
	description = "Crane Game Donk.",
	modelID = E_MODEL_PDONKEY,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PDONKEY)

_G.wpets.set_pet_sounds(ID_PDONKEY, {
	spawn = 'PDonkeySpawn.ogg',
	happy = 'PDonkeyPet.ogg',
	vanish = 'PDonkeyLeave.ogg',
})

local ID_PYOSHI = _G.wpets.add_pet({
	name = "Plush Yoshi", credit = "Garrulous64",
	description = "Crane Game Dino.",
	modelID = E_MODEL_PYOSHI,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PYOSHI)

_G.wpets.set_pet_sounds(ID_PYOSHI, {
	spawn = 'PYoshiSpawn.ogg',
	happy = 'PYoshiPet.ogg',
	vanish = 'PYoshiLeave.ogg',
})

local ID_PMARIO = _G.wpets.add_pet({
	name = "Plush Mario", credit = "Garrulous64",
	description = "Crane Game WAHOO.",
	modelID = E_MODEL_PMARIO,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PMARIO)

_G.wpets.set_pet_sounds(ID_PMARIO, {
	spawn = 'PMarioSpawn.ogg',
	happy = 'PMarioPet.ogg',
	vanish = 'PMarioLeave.ogg',
})

local ID_PLUIGI = _G.wpets.add_pet({
	name = "Plush Luigi", credit = "Garrulous64",
	description = "Crane Game Loog.",
	modelID = E_MODEL_PLUIGI,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PLUIGI)

_G.wpets.set_pet_sounds(ID_PLUIGI, {
	spawn = 'PLuigiSpawn.ogg',
	happy = 'PLuigiPet.ogg',
	vanish = 'PLuigiLeave.ogg',
})

local ID_PPEACH = _G.wpets.add_pet({
	name = "Plush Peach", credit = "Garrulous64",
	description = "Crane Game Princess.",
	modelID = E_MODEL_PPEACH,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PPEACH)

_G.wpets.set_pet_sounds(ID_PPEACH, {
	spawn = 'PPeachSpawn.ogg',
	happy = 'PPeachPet.ogg',
	vanish = 'PPeachLeave.ogg',
})

local ID_PWARIO = _G.wpets.add_pet({
	name = "Plush Wario", credit = "Garrulous64",
	description = "Crane Game WAH.",
	modelID = E_MODEL_PWARIO,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PWARIO)

_G.wpets.set_pet_sounds(ID_PWARIO, {
	spawn = 'PWarioSpawn.ogg',
	happy = 'PWarioPet.ogg',
	vanish = 'PWarioLeave.ogg',
})